﻿namespace ProjectMonorail.Entities;
public class EntityMonorail : EntityLocomotive
{
    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>
    public Color AdditionalColor { get; private set; }
    public void SetAdditionalColor(Color color)
    {
        AdditionalColor = color;
    }
    /// <summary>
    /// Признак (опция) наличия обвеса
    /// </summary>
    public bool MagneticRail { get; private set; }
    /// <summary>
    /// /// Признак (опция) наличия магнитного рельса
    /// /// </summary>
    public bool SecondCabin { get; private set; }
    /// <summary>
    /// Признак (опция) наличия второй кабины
    /// </summary>
    public double Step => Speed * 100 / Weight;

    public EntityMonorail(int speed, double weight, Color bodyColor, Color additionalColor, bool magneticRail, bool secondCabin) : base(speed, weight, bodyColor)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;
        AdditionalColor = additionalColor;
        MagneticRail = magneticRail;
        SecondCabin = secondCabin;
    }
}
